Subject: bug#31988: closed (Re: bug#31988: scroll-other-window broken on master)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 07 Jul 2018 13:41:02 +0000

Your bug report

#31988: scroll-other-window broken on master

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
31988: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=31988
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#31988: scroll-other-window broken on master
From: "Basil L. Contovounesios" <[email-masked]>
To: Eli Zaretskii <[email-masked]>
Cc: Daniel Colascione <[email-masked]>, [email-masked], [email-masked]
Date: Sat, 07 Jul 2018 16:40:17 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> Date: Fri, 6 Jul 2018 16:31:24 -0700
>> From: "Daniel Colascione" <[email-masked]>
>> Cc: [email-masked]
>> 
>> > I don't have push access, so someone else will have to apply the patch
>> > for me if there are no objections to it.
>> 
>> I just applied it. Thanks!
>
> Thanks, but why didn't you use the commit log Basil provided?  (It was
> somewhat inaccurate, but more informative than what you used, IMO.)

Thanks Daniel for applying the patch and Eli for your subsequent
efficiency and documentation fix.

I don't yet feel particularly good at or confident with writing
changelog entries, let alone Emacs C code, so any guidance is more than
welcome now and in the future.

I'm not sure whether Daniel's addition of the 'close' tag had the
intended effect, so I'm taking the liberty of CCing
<[email-masked]>; if this was the wrong thing to do, please
let me know what I should have done instead.

Thanks again,

-- 
Basil

Subject: scroll-other-window broken on master
From: "Daniel Colascione" <[email-masked]>
To: [email-masked]
Date: Wed, 27 Jun 2018 12:54:03 -0700
List-Id: <debbugs-submit.debbugs.gnu.org>

scroll-other-window scrolls the current window _and_ the other window. To
repro, visit a big file, C-x 2, and mash C-M-v. Only the other window
should scroll. Now, both windows scroll.